DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/chatbot/{chatbotId}/folder

Create a new folder for a chatbot

Create a new folder for a chatbot

PATCH/chatbot/{chatbotId}/folder/{folderId}arrow_forward
tune
Parameters
chatbotIdrequiredpath
string (uuid)
The ID of the chatbot instance to upload the document to
upload
Request body
namerequired
string
The name of the folder
parentFolderId
string (uuid)
The UUID of the parent folder (optional, for nested folders)
double_arrow
Returns 201
idrequired
string (uuid)
The generated UUID for the new folder
namerequired
string
The name of the folder
chatbotIdrequired
string (uuid)
The UUID of the chatbot this folder belongs to
parentFolderIdrequired
null,string (uuid)
The UUID of the parent folder, if any
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
report
Errors
StatusDescription
400Default Response
409Default Response
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/folder' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "name",
  "parentFolderId": "00000000-0000-0000-0000-000000000001"
}'
south_west
Response
201 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "name": "name",
  "chatbotId": "00000000-0000-0000-0000-000000000001",
  "parentFolderId": "00000000-0000-0000-0000-000000000001",
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z"
}